Kayako LiveResponse跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1108952 漏洞类型 跨站脚本
发布时间 2005-07-30 更新时间 2006-06-08
CVE编号 CVE-2005-2460 CNNVD-ID CNNVD-200512-745
漏洞平台 PHP CVSS评分 5.8
|漏洞来源
https://www.exploit-db.com/exploits/26051
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200512-745
|漏洞详情
KayakoliveResponse2.x存在多个跨站脚本攻击漏洞,远程攻击者可以通过在进入一个会话或发送一个消息时的(1)用户名参数或(2)名字字段来注入任意Web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/14425/info

Kayako LiveResponse is prone to multiple cross-site scripting, SQL injection, and HTML injection vulnerabilties. These issues are all related to input validation errors.

The cross-site scripting and HTML injection vulnerabilities may allow for theft of cookie-based authentication credentials or other attacks. The SQL injection vulnerabilities may permit a remote attacker to compromise the software or launch attacks other attacks against the database. 

http://www.example.com/index.php?username="><script>alert(document.cookie)</script>
|参考资料

来源:BID
名称:14425
链接:http://www.securityfocus.com/bid/14425
来源:OSVDB
名称:18397
链接:http://www.osvdb.org/18397
来源:OSVDB
名称:18395
链接:http://www.osvdb.org/18395
来源:MISC
链接:http://www.gulftech.org/?node=research&article_id=00092-07302005
来源:SECUNIA
名称:16286
链接:http://secunia.com/advisories/16286
来源:BUGTRAQ
名称:20050730KayakoliveResponseMultipleVulnerabilities
链接:http://marc.theaimsgroup.com/?l=bugtraq&m=112274359718863&w=2